JUCE: AccessibilityRangedNumericValueInterface Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AccessibilityRangedNumericValueInterface Class Referenceabstract
juce_gui_basics » accessibility

A value interface that represents a ranged numeric value. More...

`#include <juce_AccessibilityValueInterface.h>`

Inheritance diagram for AccessibilityRangedNumericValueInterface:

## Public Member Functions
bool | isReadOnly () const override=0
| Returns true if the value is read-only and cannot be modified by an accessibility client.
double | getCurrentValue () const override=0
| Returns the current value.
void | setValue (double newValue) override=0
| Sets the current value to a new value.
AccessibleValueRange | getRange () const override=0
| Returns the range.
String | getCurrentValueAsString () const final
| Returns the current value as a String.
void | setValueAsString (const String &newValue) final
| Sets the current value to a new String value.
Public Member Functions inherited from AccessibilityValueInterface
virtual | ~AccessibilityValueInterface ()=default
| Destructor.
virtual bool | isReadOnly () const =0
| Returns true if the value is read-only and cannot be modified by an accessibility client.
virtual double | getCurrentValue () const =0
| Returns the current value as a double.
virtual String | getCurrentValueAsString () const =0
| Returns the current value as a String.
virtual void | setValue (double newValue)=0
| Sets the current value to a new double value.
virtual void | setValueAsString (const String &newValue)=0
| Sets the current value to a new String value.
virtual AccessibleValueRange | getRange () const =0
| If this is a ranged value, this should return a valid AccessibleValueRange object representing the supported numerical range.

## Detailed Description

A value interface that represents a ranged numeric value.

## Member Function Documentation

## ◆ isReadOnly()

bool AccessibilityRangedNumericValueInterface::isReadOnly | ( |  | ) | const
| overridepure virtual

Returns true if the value is read-only and cannot be modified by an accessibility client.

See also
  setValueAsString

Implements AccessibilityValueInterface.

## ◆ getCurrentValue()

double AccessibilityRangedNumericValueInterface::getCurrentValue | ( |  | ) | const
| overridepure virtual

Returns the current value.

Implements AccessibilityValueInterface.

## ◆ setValue()

void AccessibilityRangedNumericValueInterface::setValue | ( | double | newValue | ) |
| overridepure virtual

Sets the current value to a new value.

Implements AccessibilityValueInterface.

## ◆ getRange()

AccessibleValueRange AccessibilityRangedNumericValueInterface::getRange | ( |  | ) | const
| overridepure virtual

Returns the range.

Implements AccessibilityValueInterface.

## ◆ getCurrentValueAsString()

String AccessibilityRangedNumericValueInterface::getCurrentValueAsString | ( |  | ) | const
| finalvirtual

Returns the current value as a String.

Implements AccessibilityValueInterface.

## ◆ setValueAsString()

void AccessibilityRangedNumericValueInterface::setValueAsString | ( | const String & | newValue | ) |
| finalvirtual

Sets the current value to a new String value.

Implements AccessibilityValueInterface.

The documentation for this class was generated from the following file:

- juce_AccessibilityValueInterface.h